aboutsummaryrefslogtreecommitdiffstats
path: root/tests/db-no-create--watch/t
diff options
context:
space:
mode:
authorGuilhem Moulin <guilhem@fripost.org>2022-02-23 22:30:45 +0100
committerGuilhem Moulin <guilhem@fripost.org>2022-02-23 23:43:58 +0100
commit2447861913835637bbf49d96728ce9ac6ab0ae22 (patch)
tree4f865a799547eb6b2a6728de37e65a6f07665b4e /tests/db-no-create--watch/t
parent4d36557a007f06196affe14afd1a2bd2a4945c44 (diff)
interimap, pullimap: Ensure DB and statefiles are created with mode 0600.
It wasn't the case for interimap(1), see https://bugs.debian.org/608604 … Fortunately we create $XDG_DATA_HOME/interimap with a secure mode, but there is no reason to have the DB world-readable. Since we can't rely on SQLITE_OPEN_CREATE for secure mode we use sysopen(,,O_CREAT,0600).
Diffstat (limited to 'tests/db-no-create--watch/t')
-rw-r--r--tests/db-no-create--watch/t2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/db-no-create--watch/t b/tests/db-no-create--watch/t
index 7ac3d31..37fc6cb 100644
--- a/tests/db-no-create--watch/t
+++ b/tests/db-no-create--watch/t
@@ -1,6 +1,6 @@
! interimap --watch=60 || error
-grep -Ex "DBI connect\(.*\) failed: unable to open database file at (\S+/)?interimap line 173\." <"$STDERR" || error
+grep -Ex "DBI connect\(.*\) failed: unable to open database file at (\S+/)?interimap line 177\." <"$STDERR" || error
test \! -e "$XDG_DATA_HOME/interimap/remote.db" || error
# vim: set filetype=sh :